#
# spec file for package containment-rpm-pxe
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           containment-rpm-pxe
Version:        0.2.7
Release:        220400.1.27.uyuni2
Summary:        Wraps OBS/kiwi-built PXE images in rpms.
License:        MIT
Group:          System/Management
URL:            https://github.com/openSUSE/%{name}
Source:         https://github.com/openSUSE/containment-rpm-pxe/archive/%{version}.tar.gz
BuildRequires:  filesystem
Requires:       fdupes
Requires:       libxml2-tools
Requires:       perl-TimeDate
%if 0%{?sle_version} >= 150100
Requires:       kiwi-systemdeps-disk-images
Requires:       kiwi-systemdeps-image-validation
Requires:       kiwi-boot-descriptions
%endif
BuildArch:      noarch

%description
OBS kiwi_post_run hook to wrap a kiwi-produced PXE image in an rpm package.

%prep
%setup -q -n %{name}-%{version}

%build

%install
mkdir -p %{buildroot}%{_prefix}/lib/build/
install -m 644 image.spec.in %{buildroot}%{_prefix}/lib/build/
install -m 755 kiwi_post_run %{buildroot}%{_prefix}/lib/build/

%files
%{_prefix}/lib/build/kiwi_post_run
%{_prefix}/lib/build/image.spec.in

%changelog
* Tue Feb 22 2022 Julio González Gil <jgonzalez@suse.com>
- Update to version 0.2.7:
  * The initrd images are not xz compressed anymore after
    python-kiwi 9.24.16
* Wed Apr  7 2021 Julio González Gil <jgonzalez@suse.com>
- Update to version 0.2.6:
  * Require kiwi-systemdeps-disk-images, kiwi-systemdeps-image-validation,
    kiwi-boot-descriptions to build images for SLE15SP1 and newer
* Mon Mar  8 2021 Vladimir Nadvornik <nadvornik@suse.com>
- Update to version 0.2.5:
  * Add support for raw oem images
* Wed Jul 15 2020 Alberto Planas Dominguez <aplanas@suse.com>
- Update to version 0.2.4:
  * Fix name for config.bootoptions file
* Wed Apr 29 2020 Alberto Planas Dominguez <aplanas@suse.com>
- Update to version 0.2.3:
  * A change in KIWI requires the file config.bootoptions
* Wed Mar  4 2020 Alberto Planas Dominguez <aplanas@suse.com>
- Update to version 0.2.2:
  * Fix issue when URL is empty
* Fri Feb 28 2020 Alberto Planas Dominguez <aplanas@suse.com>
- Update to version 0.2.1:
  * Relax the name of asset
* Thu Feb 27 2020 Alberto Planas Dominguez <aplanas@suse.com>
- Update to version 0.2:
  * Support old PXE and new OEM PXE Kiwi images
  * Be explicit on bash dependency
  * Add example for rpm-properties.xml
- Add _service to fetch code from openSUSE's github
- Require perl-TimeDate for changelog2spec call and fdupes
* Thu Feb  8 2018 jgonzalez@suse.com
- Initial commit
